Main Page Groups Namespaces

# sigc::deduce_result_type< T_functor, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, void, true > Struct Template Reference

Deduce the return type of a functor. More...

List of all members.

## Public Types

typedef T_functor::template deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | type

## Detailed Description

### template <class T_functor, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
struct sigc::deduce_result_type< T_functor, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, void, true >

Deduce the return type of a functor.

This is the template specialization of the sigc::deduce_result_type template for 6 arguments.

## Member Typedef Documentation

template <class T_functor, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
typedef T_functor::template deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::deduce_result_type<T_functor, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, void, true>::type

The documentation for this struct was generated from the following file:

- deduce_result_type.h